Bug 320954 - krita 2.8 pre-alpha: transform tool not applied to a vector layer
Summary: krita 2.8 pre-alpha: transform tool not applied to a vector layer
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Transform (show other bugs)
Version: git master (please specify the git hash!)
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-09 11:58 UTC by Silvio Grosso
Modified: 2013-12-28 14:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Silvio Grosso 2013-06-09 11:58:17 UTC
KRITA 2.8 PRE-ALPHA (installed through the krita lime ppa by Dmitry)

KDE MINT 14 as guest - 32 bit (through Vbox)
Windows 7 - 64 bit as host (through Vbox)

Reproducible: Always

Steps to Reproduce:
1. Open a new blank document (or open a jpg image)
2. Click on the bar tool to select the text tool 
3. Write some text (no matter what)
4. Select the transform tool (to modify the vector layer size)
5. Modify the shape of this vector text (the shape changes its size).
6. Click on apply or press enter (on your keyboard) to finalize your change: NONE of these work.
In essence, the shape size is not modified.
Actual Results:  
Whenever you write some "artistic text", the transform tool does not work when you press apply or hit enter.
In short, the size of the text layer can not be modified.

Expected Results:  
The "apply" button or  press "enter" on your keyboard should both work on a vector text selection.

I have recorded all my steps to always reproduce this bug:
https://dl.dropboxusercontent.com/u/3095134/BUGS_REPORT/KRITA_2.8_TRANSFORM_TOOL_BUG.avi

I have recorded both the "apply button" and the "press enter on your keyboard" bugs
Comment 1 Halla Rempt 2013-06-21 08:57:25 UTC
Ack. Thanks for the report. Either we should disable the transform tool when the current layer is a vector layer, or actually apply the transformation to all selected objects in the vector layer.
Comment 2 Dmitry Kazakov 2013-12-24 08:56:58 UTC
Git commit b4ef8184d80f680981afb3920b08200f536373a8 by Dmitry Kazakov.
Committed on 24/12/2013 at 08:56.
Pushed by dkazakov into branch 'master'.

Make Transform Tool support Shape and other external layers

M  +58   -28   krita/plugins/tools/tool_transform2/strokes/transform_stroke_strategy.cpp

http://commits.kde.org/calligra/b4ef8184d80f680981afb3920b08200f536373a8
Comment 3 Dmitry Kazakov 2013-12-28 14:58:13 UTC
Git commit 6e936f51497bdebdbd37285d93c40f99df47e535 by Dmitry Kazakov.
Committed on 24/12/2013 at 08:56.
Pushed by dkazakov into branch 'calligra/2.8'.

Make Transform Tool support Shape and other external layers

M  +58   -28   krita/plugins/tools/tool_transform2/strokes/transform_stroke_strategy.cpp

http://commits.kde.org/calligra/6e936f51497bdebdbd37285d93c40f99df47e535